<html>
<head>
<title>OGRE: OgrePlatform.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgrePlatform.h File Reference</h1><code>#include &quot;<a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>&quot;</code><br>

<p>
<a href="OgrePlatform_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#cbe1943c4784d0e38a71195b186b2648">OGRE_PLATFORM_WIN32</a>&nbsp;&nbsp;&nbsp;1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#d6ca9e6d3e2b2da8d4ee9e74a8a8f437">OGRE_PLATFORM_LINUX</a>&nbsp;&nbsp;&nbsp;2</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#c1835ebd5d472ca20f5b4b3a2ddee10a">OGRE_PLATFORM_APPLE</a>&nbsp;&nbsp;&nbsp;3</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#6a94af2b19015f8d92898251ba51b894">OGRE_COMPILER_MSVC</a>&nbsp;&nbsp;&nbsp;1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#c98b9fc56eebcda33a152960bd376375">OGRE_COMPILER_GNUC</a>&nbsp;&nbsp;&nbsp;2</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#b912259af4a8a0d36f9b40df0d2eaa9f">OGRE_COMPILER_BORL</a>&nbsp;&nbsp;&nbsp;3</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#600c868168881add7117060af46eb666">OGRE_ENDIAN_LITTLE</a>&nbsp;&nbsp;&nbsp;1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#077f6bc75ffd397f81a56ec2cd2838c3">OGRE_ENDIAN_BIG</a>&nbsp;&nbsp;&nbsp;2</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#37b62784316fecdf49524d6492b2f54e">OGRE_ARCHITECTURE_32</a>&nbsp;&nbsp;&nbsp;1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#338389706b17fb84162ebfa9a4c2195a">OGRE_ARCHITECTURE_64</a>&nbsp;&nbsp;&nbsp;2</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#724fb9f82013c782db5c3c12ea36aac8">FORCEINLINE</a>&nbsp;&nbsp;&nbsp;__inline</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#d84d3cf520c16ba4ffd3715942f7f175">OGRE_PLATFORM</a>&nbsp;&nbsp;&nbsp;OGRE_PLATFORM_LINUX</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#4de9497f1c50d8052061e4870d5cdb42">OGRE_ARCH_TYPE</a>&nbsp;&nbsp;&nbsp;OGRE_ARCHITECTURE_32</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#9201035492049999bc82d4baa25ee090">OGRE_QUOTE_INPLACE</a>(x)&nbsp;&nbsp;&nbsp;# x</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#b79b68443593aa3abe67d6adea621226">OGRE_QUOTE</a>(x)&nbsp;&nbsp;&nbsp;OGRE_QUOTE_INPLACE(x)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#b61ba9272b27cdd1181dd5a18d40b750">OGRE_WARN</a>(x)&nbsp;&nbsp;&nbsp;message( __FILE__ &quot;(&quot; QUOTE( __LINE__ ) &quot;) : &quot; x &quot;\n&quot; )</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#4e0be90a3757e352f42612d09a7d1aa5">stricmp</a>&nbsp;&nbsp;&nbsp;strcasecmp</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#15ea2b61c3e8ac05db2972f528f94753">OGRE_DEBUG_MODE</a>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#bd45db57e45902634b2b9dbb7b2b9338">OGRE_PLATFORM_LIB</a>&nbsp;&nbsp;&nbsp;&quot;libOgrePlatform.so&quot;</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#6b22414ce99a335fea0f51584cb766e4">OGRE_UNICODE_SUPPORT</a>&nbsp;&nbsp;&nbsp;1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#9af9f9208025e8051717aee67e4e7267">OGRE_ENDIAN</a>&nbsp;&nbsp;&nbsp;OGRE_ENDIAN_LITTLE</td></tr>

<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">Ogre::uint32</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">Ogre::uint16</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef unsigned char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">Ogre::uint8</a></td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="20566b1253bae200372ed9162489a663"></a><!-- doxytag: member="OgrePlatform.h::_OgreExport" ref="20566b1253bae200372ed9162489a663" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _OgreExport          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00166">166</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f4c2f5df97e3050dd5266408be42db4b"></a><!-- doxytag: member="OgrePlatform.h::_OgrePrivate" ref="f4c2f5df97e3050dd5266408be42db4b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _OgrePrivate          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00167">167</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="724fb9f82013c782db5c3c12ea36aac8"></a><!-- doxytag: member="OgrePlatform.h::FORCEINLINE" ref="724fb9f82013c782db5c3c12ea36aac8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FORCEINLINE&nbsp;&nbsp;&nbsp;__inline          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00082">82</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4de9497f1c50d8052061e4870d5cdb42"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ARCH_TYPE" ref="4de9497f1c50d8052061e4870d5cdb42" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_ARCH_TYPE&nbsp;&nbsp;&nbsp;OGRE_ARCHITECTURE_32          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00101">101</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="37b62784316fecdf49524d6492b2f54e"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ARCHITECTURE_32" ref="37b62784316fecdf49524d6492b2f54e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_ARCHITECTURE_32&nbsp;&nbsp;&nbsp;1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00048">48</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="338389706b17fb84162ebfa9a4c2195a"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ARCHITECTURE_64" ref="338389706b17fb84162ebfa9a4c2195a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_ARCHITECTURE_64&nbsp;&nbsp;&nbsp;2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00049">49</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b912259af4a8a0d36f9b40df0d2eaa9f"></a><!-- doxytag: member="OgrePlatform.h::OGRE_COMPILER_BORL" ref="b912259af4a8a0d36f9b40df0d2eaa9f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_COMPILER_BORL&nbsp;&nbsp;&nbsp;3          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00043">43</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c98b9fc56eebcda33a152960bd376375"></a><!-- doxytag: member="OgrePlatform.h::OGRE_COMPILER_GNUC" ref="c98b9fc56eebcda33a152960bd376375" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_COMPILER_GNUC&nbsp;&nbsp;&nbsp;2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00042">42</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6a94af2b19015f8d92898251ba51b894"></a><!-- doxytag: member="OgrePlatform.h::OGRE_COMPILER_MSVC" ref="6a94af2b19015f8d92898251ba51b894" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_COMPILER_MSVC&nbsp;&nbsp;&nbsp;1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00041">41</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="15ea2b61c3e8ac05db2972f528f94753"></a><!-- doxytag: member="OgrePlatform.h::OGRE_DEBUG_MODE" ref="15ea2b61c3e8ac05db2972f528f94753" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_DEBUG_MODE&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00180">180</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9af9f9208025e8051717aee67e4e7267"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ENDIAN" ref="9af9f9208025e8051717aee67e4e7267" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_ENDIAN&nbsp;&nbsp;&nbsp;OGRE_ENDIAN_LITTLE          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00209">209</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="077f6bc75ffd397f81a56ec2cd2838c3"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ENDIAN_BIG" ref="077f6bc75ffd397f81a56ec2cd2838c3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_ENDIAN_BIG&nbsp;&nbsp;&nbsp;2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00046">46</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="600c868168881add7117060af46eb666"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ENDIAN_LITTLE" ref="600c868168881add7117060af46eb666" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_ENDIAN_LITTLE&nbsp;&nbsp;&nbsp;1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00045">45</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d84d3cf520c16ba4ffd3715942f7f175"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM" ref="d84d3cf520c16ba4ffd3715942f7f175" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_PLATFORM&nbsp;&nbsp;&nbsp;OGRE_PLATFORM_LINUX          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00094">94</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c1835ebd5d472ca20f5b4b3a2ddee10a"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_APPLE" ref="c1835ebd5d472ca20f5b4b3a2ddee10a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_PLATFORM_APPLE&nbsp;&nbsp;&nbsp;3          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00039">39</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bd45db57e45902634b2b9dbb7b2b9338"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_LIB" ref="bd45db57e45902634b2b9dbb7b2b9338" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_PLATFORM_LIB&nbsp;&nbsp;&nbsp;&quot;libOgrePlatform.so&quot;          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00187">187</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d6ca9e6d3e2b2da8d4ee9e74a8a8f437"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_LINUX" ref="d6ca9e6d3e2b2da8d4ee9e74a8a8f437" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_PLATFORM_LINUX&nbsp;&nbsp;&nbsp;2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00038">38</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cbe1943c4784d0e38a71195b186b2648"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_WIN32" ref="cbe1943c4784d0e38a71195b186b2648" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_PLATFORM_WIN32&nbsp;&nbsp;&nbsp;1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00037">37</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b79b68443593aa3abe67d6adea621226"></a><!-- doxytag: member="OgrePlatform.h::OGRE_QUOTE" ref="b79b68443593aa3abe67d6adea621226" args="(x)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_QUOTE          </td>
          <td>(</td>
          <td class="paramtype">x&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;OGRE_QUOTE_INPLACE(x)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00108">108</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9201035492049999bc82d4baa25ee090"></a><!-- doxytag: member="OgrePlatform.h::OGRE_QUOTE_INPLACE" ref="9201035492049999bc82d4baa25ee090" args="(x)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_QUOTE_INPLACE          </td>
          <td>(</td>
          <td class="paramtype">x&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;# x</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00107">107</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6b22414ce99a335fea0f51584cb766e4"></a><!-- doxytag: member="OgrePlatform.h::OGRE_UNICODE_SUPPORT" ref="6b22414ce99a335fea0f51584cb766e4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_UNICODE_SUPPORT&nbsp;&nbsp;&nbsp;1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00192">192</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b61ba9272b27cdd1181dd5a18d40b750"></a><!-- doxytag: member="OgrePlatform.h::OGRE_WARN" ref="b61ba9272b27cdd1181dd5a18d40b750" args="(x)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_WARN          </td>
          <td>(</td>
          <td class="paramtype">x&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;message( __FILE__ &quot;(&quot; QUOTE( __LINE__ ) &quot;) : &quot; x &quot;\n&quot; )</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00109">109</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4e0be90a3757e352f42612d09a7d1aa5"></a><!-- doxytag: member="OgrePlatform.h::stricmp" ref="4e0be90a3757e352f42612d09a7d1aa5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define stricmp&nbsp;&nbsp;&nbsp;strcasecmp          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatform_8h-source.html#l00171">171</a> of file <a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
